EM13c: 12c to 13c OMS Upgrade Fails At Repository Configuration With Error "ORA-20251: Cost Center already Exists" (Doc ID 2095025.1)

Last updated on MARCH 04, 2016

Applies to:

Enterprise Manager Base Platform - Version 13.1.0.0.0 and later
Information in this document applies to any platform.

Symptoms

12c to 13c OMS upgrade fails at repository configuration stage. The <13c_MIDDLEWARE_HOME>/cfgtoollogs/CfmLogger_<timestamp>.log shows the below errors:

INFO: oracle.sysman.top.oms:Still Running...
INFO: oracle.sysman.top.oms:Failure...
INFO: oracle.sysman.top.oms:1 error(s) happened in performing the action:
INFO: oracle.sysman.top.oms:1):
ORA-20251: Cost Center already Exists : :
ORA-06512: at "SYSMAN.EM_COST_CENTER", line 147
ORA-06512: at "SYSMAN.EM_COST_CENTER", line 289
ORA-06512: at "SYSMAN.EM_COST_CENTER", line 434
ORA-06512: at line 47
File:<MIDDLEWARE_HOME>/sysman/admin/emdrep/sql/core/13.1.0.0/cost_center/cost_center_data_upgrade.sql
Statement:DECLARE

  l_user_ids SMP_EMD_LONG_STRING_ARRAY := null;
  l_user_names SMP_EMD_LONG_STRING_ARRAY := null;
.
.
INFO: oracle.sysman.top.oms:The plug-in Repository Upgrade has failed its perform method

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms